package com.company.collectionchange.core.role;

import com.haulmont.cuba.security.app.role.AnnotatedRoleDefinition;
import com.haulmont.cuba.security.app.role.annotation.Role;
import com.haulmont.cuba.security.app.role.annotation.SpecificAccess;
import com.haulmont.cuba.security.role.SpecificPermissionsContainer;

@Role(name = RegisteredRole.NAME)
public class RegisteredRole extends AnnotatedRoleDefinition {
    public final static String NAME = "Registered";

    @SpecificAccess(permissions = "cuba.gui.loginToClient")
    @Override
    public SpecificPermissionsContainer specificPermissions() {
        return super.specificPermissions();
    }
}
