package com.company.collectionchange.entity;

import com.haulmont.cuba.core.entity.annotation.Extends;
import com.haulmont.cuba.security.entity.User;

import javax.persistence.Column;
import javax.persistence.Entity;

@Entity(name = "collectionchange_ExtUser")
@Extends(User.class)
public class ExtUser extends User {
    private static final long serialVersionUID = 4613060242297851579L;

    @Column(name = "REQUESTED_ROLE")
    private String requestedRole;

    public RequestedRoleEnum getRequestedRole() {
        return requestedRole == null ? null : RequestedRoleEnum.fromId(requestedRole);
    }

    public void setRequestedRole(RequestedRoleEnum requestedRole) {
        this.requestedRole = requestedRole == null ? null : requestedRole.getId();
    }
}