package com.company.collectionchange.entity;

import com.haulmont.chile.core.datatypes.impl.EnumClass;

import javax.annotation.Nullable;


public enum RequestedRoleEnum implements EnumClass<String> {

    CONSUMER("Consumer"),
    UPLOADER("Uploader");

    private String id;

    RequestedRoleEnum(String value) {
        this.id = value;
    }

    public String getId() {
        return id;
    }

    @Nullable
    public static RequestedRoleEnum fromId(String id) {
        for (RequestedRoleEnum at : RequestedRoleEnum.values()) {
            if (at.getId().equals(id)) {
                return at;
            }
        }
        return null;
    }
}